# Loki::SimplePointer< AbstractProduct > Class Template Reference
[Encapsulation policies]

No encaspulation : returns the pointer. More...

`#include <CachedFactory.h>`

List of all members.

## Detailed Description

### template<class AbstractProduct>
class Loki::SimplePointer< AbstractProduct >

No encaspulation : returns the pointer.

This implementation does not make any encapsulation. It simply returns the object's pointer.

The documentation for this class was generated from the following file:

- CachedFactory.h